#include "StdAfx.h"
#include "variablekosten.h"
#include "datenbank.h"
#include "afxwin.h"
using namespace sql;
using namespace std;

variablekosten::variablekosten( void)
{
}

variablekosten::~variablekosten( void)
{
}
void variablekosten::get_kosten_from_database(
        int verfahren_nr,
        vector< variablekosten>& d_kosten)
{

    //vector<variablekosten>* d_kosten = new vector<variablekosten>;
    datenbank* daten = new datenbank;
    //Connection* con = daten->datacon();
    daten->returnvariablekosten( verfahren_nr, d_kosten);

    delete daten;
    //return (*d_kosten);

}
double variablekosten::berechne_variablekosten( int d)
{
    double vkosten = (duengeraufwand_N * duengerN * d)
            + (duengeraufwand_P * duengerP) + (duengeraufwand_K * duengerK)
            + hagelversicherung + pflanzenschutzkosten + sielierkosten
            + weidekosten + saatgutkosten + (stunden * arbeits_lohn) + sonstige
            + diesel + unterhalt;

    return vkosten;
}